%define ext_guid '{73a6fe31-595d-460b-a920-fcc0f8843232}'

Name: firefox-noscript_security_suite
License: MPL
Group: Applications/Internet
Summary: Script blocker - The best security you can get in a web browser!
Version: 2.6.9.36
Release: 1%{?dist}
URL: https://addons.mozilla.org/en-US/firefox/addon/722/
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: noscript_security_suite-%{version}-sm+fx+fn.xpi
Source100: mozilla-extension-update.sh
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: unzip
Obsoletes: firefox-add-on-noscript
Obsoletes: firefox-noscript
Requires: firefox >= 38

%description
This tool provides extra protection to your Firefox.
It allows JavaScript, Java and other executable content
to run only from trusted domains of your choice, e.g. 
your home-banking web site, guarding your "trust boundaries"
against cross-site scripting attacks (XSS) and Clickjacking 
attempts, thanks to its unique ClearClick technology.

Such a preemptive approach prevents exploitation of security 
vulnerabilities (known and even unknown!) with no loss of 
functionality...

Experts do agree: Firefox is really safer with NoScript ;-)

%define update_firefox \\\
  %{_libdir}/%{name}/mozilla-extension-update.sh --appname firefox \\\
  --extname %{ext_guid} --basedir %{_libdir} --extpath %{_libdir}/%{name} --action

%post
%{update_firefox} install ||:

%preun
if [ $1 = 0 ]; then
 %{update_firefox} remove ||:
fi 

%triggerin -- firefox
%{update_firefox} install ||:

%files
%defattr(-,root,root,-)
%{_libdir}/%{name}
%{_libdir}/%{name}/*

%build

%install

mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
unzip -qod $RPM_BUILD_ROOT%{_libdir}/%{name} %{SOURCE0}
install -p -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_libdir}/%{name}/mozilla-extension-update.sh

%changelog
* Fri Aug 28 2015 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 2.6.9.36
- update to current version.

* Thu Jun 17 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.9.9.87
- Initial release for slc5
- Modeled this package on Lubomir Rintel one from EPEL for thunderbird-lightning.
